import * as angular from 'angular';

export default class AddContentDetailsStepComponent {
    workflow: any;
    loadingTags: boolean;
    loadingSearches: boolean;

    static config = {
        selector: 'addContentDetailsStep',
        template: `
            <div layout="column">
                <add-content-details-form workflow="$ctrl.workflow" content="$ctrl.workflow.documents[$ctrl.workflow.currentIndex]" loading-tags="$ctrl.loadingTags" loading-searches="$ctrl.loadingSearches"></add-content-details-form>
            </div>
        `,
        controller: AddContentDetailsStepComponent,
        bindings: {
            workflow: '<'
        }
    }

    constructor() {
    }
}
